{
	"format_version":"1.10.0",
	"animation_controllers":{
		"controller.animation.circle_spawns":{
			"initial_state":"off",
			"states":{
				"on":{
					"particle_effects":[
						{"effect":"circle_spawns_setup"}
					],
				"transitions":[{"off":"!query.is_sneaking"}]
				},
				"off":{
					"transitions":[{"on":"query.is_item_name_any('slot.weapon.mainhand', 0, 'minecraft:redstone_torch') && query.is_sneaking && query.is_local_player"}]
				}
			}
		}
	}
}